export default Plane;
declare class Plane extends Mesh {
    geometry: PlaneGeometry;
    material: MeshBasicMaterial;
    applyQuaternion(quaternion: import("three").Quaternion): Plane;
    rotateOnAxis(axis: import("three").Vector3, angle: number): Plane;
    rotateOnWorldAxis(axis: import("three").Vector3, angle: number): Plane;
    rotateX(angle: number): Plane;
    rotateY(angle: number): Plane;
    rotateZ(angle: number): Plane;
    translateOnAxis(axis: import("three").Vector3, distance: number): Plane;
    translateX(distance: number): Plane;
    translateY(distance: number): Plane;
    translateZ(distance: number): Plane;
    add(...object: import("three").Object3D[]): Plane;
    remove(...object: import("three").Object3D[]): Plane;
    attach(object: import("three").Object3D): Plane;
    clone(recursive?: boolean | undefined): Plane;
    copy(source: Plane, recursive?: boolean | undefined): Plane;
}
import Mesh from "./Mesh";
import { PlaneGeometry } from "three/src/geometries/PlaneGeometry";
import { MeshBasicMaterial } from "three/src/materials/MeshBasicMaterial";
